Subject: bug#15014: 24.3.50; In text-mode, incorrect forward-sexp causes delete-pair malfunction

From: Stefan Monnier <[email-masked]>
Date: Sun, 04 Aug 2013 17:17:44 -0400

>> So, IIUC you're arguing for marking " as having paired-delimiter
>> syntax, as is the case in most programming modes.
> I'm arguing for behavior that makes sense for the user.

You mean "to this user" ;-)

> This seems like the way to achieve that.

Indeed.  I do expect that most programmers will use " in text-mode in
ways that behave well when treated as string delimiters, so that might
be a good option in general, but if some text contains a non-matched "
the behavior tends to be pretty annoying, so I'm not sure it's a safe
enough change.

        Stefan